|
From: <sv...@va...> - 2005-08-16 03:28:56
|
Author: njn
Date: 2005-08-16 04:28:47 +0100 (Tue, 16 Aug 2005)
New Revision: 4431
Log:
Make the nightly script say early on if the results have changed in
the last 24 hours. This saves you from having to scroll down to
determine this when the number of failures is large (eg on PPC).
Modified:
trunk/nightly/bin/nightly
Modified: trunk/nightly/bin/nightly
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- trunk/nightly/bin/nightly 2005-08-16 02:31:08 UTC (rev 4430)
+++ trunk/nightly/bin/nightly 2005-08-16 03:28:47 UTC (rev 4431)
@@ -124,13 +124,20 @@
echo "Nightly build on" $ABT_MACHINE "(" $ABT_DETAILS ")" \
"started at" $ABT_START >> final
=20
+# If the results differ from 24 hours ago, print extra stuff.
+diff -C1 old.short new.short > diff.short
+changed=3D$?
+
+if [ $changed !=3D 0 ] ; then
+ echo "Results differ from 24 hours ago" >> final
+else
+ echo "Results unchanged from 24 hours ago" >> final
+fi
+
# Always show the current results.
cat new.short >> final
=20
-# If the results differ from 24 hours ago, print extra stuff.
-diff -C1 old.short new.short > diff.short
-
-if [ $? !=3D 0 ] ; then
+if [ $changed !=3D 0 ] ; then
echo "=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D" >> final
echo "=3D=3D Results from 24 hours ago =3D=3D" >> f=
inal
echo "=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D" >> final
|